%define upstream_name	 Curses
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module for character screen handling and windowing
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: libncursesw-devel
BuildRequires: perl-devel

%description
Curses is the interface between Perl and your system's curses(3) library. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor MENUS PANELS FORMS
%make CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README HISTORY MAINTENANCE

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc HISTORY INSTALL MAINTENANCE README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.280.0-11.mga4
+ Revision: 524076
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.280.0-10.mga4
+ Revision: 429952
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-9.mga3
+ Revision: 364978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-8.mga3
+ Revision: 250447
- rebuild for perl 5.16

* Sun Oct 16 2011 jquelin <jquelin> 1.280.0-7.mga2
+ Revision: 155482
- remove restriction on doc files (bug#3052)

* Sat Jun 11 2011 sander85 <sander85> 1.280.0-6.mga2
+ Revision: 103488
- perl 5.14

* Thu Mar 17 2011 jquelin <jquelin> 1.280.0-5.mga1
+ Revision: 73058
- enabling menus+panels+forms (shikamaru)

* Tue Jan 18 2011 blino <blino> 1.280.0-4.mga1
+ Revision: 23261
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 1.280.0-3.mga1
+ Revision: 7356
- imported package perl-Curses


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.280.0-3mdv2011.0
+ Revision: 564393
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.280.0-2mdv2011.0
+ Revision: 555270
- rebuild

* Wed Jan 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.280.0-1mdv2010.1
+ Revision: 497005
- update to 1.28

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1.27-1mdv2010.0
+ Revision: 374655
- update to new version 1.27

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.1
+ Revision: 292069
- update to new version 1.24

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 265344
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.0
+ Revision: 194842
- update to new version 1.23
- update to new version 1.23

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2008.1
+ Revision: 170104
- update to new version 1.21

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.20-2mdv2008.1
+ Revision: 151253
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.1
+ Revision: 133603
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Oct 26 2006 Pixel <pixel@mandriva.com> 1.15-2mdv2007.0
+ Revision: 72681
- no need explictly requiring ncurses
- we now need to BuildRequires libncursesw-devel
- increase release
- use ncursesw (to handle wide-chars, and so utf8)

* Sat Oct 21 2006 Pixel <pixel@mandriva.com> 1.15-1mdv2007.1
+ Revision: 71567
- new version
- add "make test"
- Import perl-Curses

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13
- spec cleanup
- %%mkrel

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- 1.12 
- rpmbuildupdate aware

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- New version 1.07
- Drop patch 0

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-8mdk
- rebuild for new perl

